# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v4.19.119
  - 765675379b62 Linux 4.19.119
  - 215d1f392871 s390/mm: fix page table upgrade vs 2ndary address mode accesses
  - 6fb102dd99f4 xfs: Fix deadlock between AGI and AGF with RENAME_WHITEOUT
  - d407f7dc0662 serial: sh-sci: Make sure status register SCxSR is read in correct sequence
  - d3ee95dedd88 xhci: prevent bus suspend if a roothub port detected a over-current condition
  - b0a0ebfed4b2 usb: f_fs: Clear OS Extended descriptor counts to zero in ffs_data_reset()
  - dbee0a82061a usb: dwc3: gadget: Fix request completion check
  - e076da135b81 UAS: fix deadlock in error handling and PM flushing work
  - 9ca6a4d89872 UAS: no use logging any details in case of ENODEV
  - 465f0c0b5306 cdc-acm: introduce a cool down
  - 681c2486f9f9 cdc-acm: close race betrween suspend() and acm_softint
  - 90fbd0773ba2 staging: vt6656: Power save stop wake_up_count wrap around.
  - 2179f148b7e6 staging: vt6656: Fix pairwise key entry save.
  - d60fdefc1b0e staging: vt6656: Fix drivers TBTT timing counter.
  - 6eb9ad6d64b1 staging: vt6656: Fix calling conditions of vnt_set_bss_mode
  - 2332a899ad41 staging: vt6656: Don't set RCR_MULTICAST or RCR_BROADCAST by default.
  - b91c4171c74e vt: don't use kmalloc() for the unicode screen buffer
  - 5a03e2be16de vt: don't hardcode the mem allocation upper bound
  - 4a147ff0c5f9 staging: comedi: Fix comedi_device refcnt leak in comedi_open
  - 462c96c37bb1 staging: comedi: dt2815: fix writing hi byte of analog output
  - eeab3452c847 powerpc/setup_64: Set cache-line-size based on cache-block-size
  - 144db1ea8944 ARM: imx: provide v7_cpu_resume() only on ARM_CPU_SUSPEND=y
  - eed31992324f iwlwifi: mvm: beacon statistics shouldn't go backwards
  - 95df10454615 iwlwifi: pcie: actually release queue memory in TVQM
  - d49407334f0e ASoC: dapm: fixup dapm kcontrol widget
  - 64c0c4832465 audit: check the length of userspace generated audit records
  - ddbfab6a4a85 usb-storage: Add unusual_devs entry for JMicron JMS566
  - 150d35bf70d7 tty: rocket, avoid OOB access
  - cc919ba02b88 tty: hvc: fix buffer overflow during hvc_alloc().
  - 84b6c96bed46 KVM: VMX: Enable machine check support for 32bit targets
  - cf8b99fba3a3 KVM: Check validity of resolved slot when searching memslots
  - 4cfcc37091ba KVM: s390: Return last valid slot if approx index is out-of-bounds
  - 9c4e0cab837e tpm: ibmvtpm: retry on H_CLOSED in tpm_ibmvtpm_send()
  - ede1d58c156e tpm/tpm_tis: Free IRQ if probing fails
  - 65e3bab69482 ALSA: usb-audio: Filter out unsupported sample rates on Focusrite devices
  - 33bb5a4f25a2 ALSA: usb-audio: Fix usb audio refcnt leak when getting spdif
  - ee5a44badde5 ALSA: hda/realtek - Add new codec supported for ALC245
  - 174bb908c796 ALSA: hda/realtek - Fix unexpected init_amp override
  - db737117e97a ALSA: usx2y: Fix potential NULL dereference
  - a6db63ba0061 tools/vm: fix cross-compile build
  - 35531951f048 mm/ksm: fix NULL pointer dereference when KSM zero page is enabled
  - dcca7d2f7510 mm/hugetlb: fix a addressing exception caused by huge_pte_offset
  - d8da38eafa38 vmalloc: fix remap_vmalloc_range() bounds checks
  - e6755e71c775 USB: hub: Fix handling of connect changes during sleep
  - 45ea77b75a60 USB: core: Fix free-while-in-use bug in the USB S-Glibrary
  - d932c9f11174 USB: early: Handle AMD's spec-compliant identifiers, too
  - 188551e1e883 USB: Add USB_QUIRK_DELAY_CTRL_MSG and USB_QUIRK_DELAY_INIT for Corsair K70 RGB RAPIDFIRE
  - e129228a50b3 USB: sisusbvga: Change port variable from signed to unsigned
  - f511dc75d22e fs/namespace.c: fix mountpoint reference counter race
  - 5d42466b6263 iio: xilinx-xadc: Make sure not exceed maximum samplerate
  - 9bb4af3663df iio: xilinx-xadc: Fix sequencer configuration for aux channels in simultaneous mode
  - 96a0dc7e5e91 iio: xilinx-xadc: Fix clearing interrupt when enabling trigger
  - 66961103c061 iio: xilinx-xadc: Fix ADC-B powerdown
  - 7363ec6221aa iio: adc: stm32-adc: fix sleep in atomic context
  - 5ea5de62b7b5 iio: st_sensors: rely on odr mask to know if odr can be set
  - ee7ab2118a64 iio: core: remove extra semi-colon from devm_iio_device_register() macro
  - 3189c4ab8644 ALSA: usb-audio: Add connector notifier delegation
  - cd6bc48f9f80 ALSA: usb-audio: Add static mapping table for ALC1220-VB-based mobos
  - 4f3dab13cd24 ALSA: hda: Remove ASUS ROG Zenith from the blacklist
  - e4a281c7daa0 KEYS: Avoid false positive ENOMEM error on key read
  - b9d1ba5dd940 mlxsw: Fix some IS_ERR() vs NULL bugs
  - c39723ccc47d vrf: Check skb for XFRM_TRANSFORMED flag
  - 995908dc5b51 xfrm: Always set XFRM_TRANSFORMED in xfrm{4,6}_output_finish
  - 4dbc99162edd net: dsa: b53: b53_arl_rw_op() needs to select IVL or SVL
  - 5e14d2aef2fc net: dsa: b53: Rework ARL bin logic
  - 5f1653eee163 net: dsa: b53: Fix ARL register definitions
  - a224e376938f net: dsa: b53: Lookup VID in ARL searches when VLAN is enabled
  - abc103cd5368 vrf: Fix IPv6 with qdisc and xfrm
  - efa7382a0f04 team: fix hang in team_mode_get()
  - 3405bf51f6d8 tcp: cache line align MAX_TCP_HEADER
  - 1ee7ced64683 sched: etf: do not assume all sockets are full blown
  - d9ef1c552418 net/x25: Fix x25_neigh refcnt leak when receiving frame
  - 134831fa2ba1 net: stmmac: dwmac-meson8b: Add missing boundary to RGMII TX clock array
  - 275828d499f2 net: netrom: Fix potential nr_neigh refcnt leak in nr_add_node
  - f71003197dd9 net: bcmgenet: correct per TX/RX ring statistics
  - 9d7ea5675e0f macvlan: fix null dereference in macvlan_device_event()
  - 468f8f8e9eab macsec: avoid to set wrong mtu
  - 387e87973d0d ipv6: fix restrict IPV6_ADDRFORM operation
  - 77dc1af08265 cxgb4: fix large delays in PTP synchronization
  - 953236ee91a9 cxgb4: fix adapter crash due to wrong MC size
  - c434092ef817 x86/KVM: Clean up host's steal time structure
  - b5b79c757e6f x86/KVM: Make sure KVM_VCPU_FLUSH_TLB flag is not missed
  - ccfc73e56da7 x86/kvm: Cache gfn to pfn translation
  - e36d68ec5090 x86/kvm: Introduce kvm_(un)map_gfn()
  - ec81ed2fba22 KVM: Properly check if "page" is valid in kvm_vcpu_unmap
  - e25441275142 kvm: fix compile on s390 part 2
  - bef6507903d9 kvm: fix compilation on s390
  - 94659e93c93c kvm: fix compilation on aarch64
  - 0125ed16a990 KVM: Introduce a new guest mapping API
  - 7570af489e73 KVM: nVMX: Always sync GUEST_BNDCFGS when it comes from vmcs01
  - b4be98039a92 KVM: VMX: Zero out *all* general purpose registers after VM-Exit
  - ed523cbd4a65 f2fs: fix to avoid memory leakage in f2fs_listxattr
  - 6d1444dbf949 blktrace: fix dereference after null check
  - 473d7f5ed75b blktrace: Protect q->blk_trace with RCU
  - 5dd683527845 net: ipv6_stub: use ip6_dst_lookup_flow instead of ip6_dst_lookup
  - abee5ded9bdb net: ipv6: add net argument to ip6_dst_lookup_flow
  - 58bcfc81c60a PCI/ASPM: Allow re-enabling Clock PM
  - 8b1ab979c63d scsi: smartpqi: fix call trace in device discovery
  - 7231917fa7db virtio-blk: improve virtqueue error to BLK_STS
  - 7ad65e34ad10 tracing/selftests: Turn off timeout setting
  - de32c6ad7a4f drm/amd/display: Not doing optimize bandwidth if flip pending.
  - af40b3eadbfb xhci: Ensure link state is U3 after setting USB_SS_PORT_LS_U3
  - d4dbc44bfa60 ASoC: Intel: bytcr_rt5640: Add quirk for MPMAN MPWIN895CL tablet
  - 0cb5f1e1a019 perf/core: Disable page faults when getting phys address
  - 597cb12c6a92 pwm: bcm2835: Dynamically allocate base
  - 0b03af5905fc pwm: renesas-tpu: Fix late Runtime PM enablement
  - d59e5b00d577 Revert "powerpc/64: irq_work avoid interrupt when called with hardware irqs enabled"
  - 012fd9ffcdf2 loop: Better discard support for block devices
  - 04727e685a33 s390/cio: avoid duplicated 'ADD' uevents
  - 7667fd8e5bb0 kconfig: qconf: Fix a few alignment issues
  - cb0ab2beb9c7 ipc/util.c: sysvipc_find_ipc() should increase position index
  - 550d3bc535e0 selftests: kmod: fix handling test numbers above 9
  - 99e811d8d737 kernel/gcov/fs.c: gcov_seq_next() should increase position index
  - b15eafb3f928 nvme: fix deadlock caused by ANA update wrong locking
  - b9b57d4d67a4 ASoC: Intel: atom: Take the drv->lock mutex before calling sst_send_slot_map()
  - 8d1eb1fbdb35 scsi: iscsi: Report unbind session event when the target has been removed
  - b12c28eccfc5 pwm: rcar: Fix late Runtime PM enablement
  - 2ebb10f20ac8 ceph: don't skip updating wanted caps when cap is stale
  - a7eba547137b ceph: return ceph_mdsc_do_request() errors from __get_parent()
  - b77e19da5647 scsi: lpfc: Fix crash in target side cable pulls hitting WAIT_FOR_UNREG
  - 8fb312a0a924 scsi: lpfc: Fix kasan slab-out-of-bounds error in lpfc_unreg_login
  - ba54ddabc013 watchdog: reset last_hw_keepalive time at start
  - d42f91ba29e3 arm64: Silence clang warning on mismatched value/register sizes
  - 05a5ec4131b7 arm64: compat: Workaround Neoverse-N1 #1542419 for compat user-space
  - 0cfa7fbc564e arm64: Fake the IminLine size on systems affected by Neoverse-N1 #1542419
  - 1b568dfec312 arm64: errata: Hide CTR_EL0.DIC on systems affected by Neoverse-N1 #1542419
  - 4355296b8d62 arm64: Add part number for Neoverse N1
  - be2b6b4a2201 vti4: removed duplicate log message.
  - 259ea41f3604 crypto: mxs-dcp - make symbols 'sha1_null_hash' and 'sha256_null_hash' static
  - 0d6f9d8f3170 bpftool: Fix printing incorrect pointer in btf_dump_ptr
  - 05fe33cad985 drm/msm: Use the correct dma_sync calls harder
  - b61c29e397e7 ext4: fix extent_status fragmentation for plain files
